#{set 'search-bar-right-content'}
<input type="hidden" name="kldi" value="${searchResult.getParamAble().getKldi()}">
<div class="four wide center aligned column">
    <div class="ui dropdown selection component-dropdown">
        <input id="year" type="hidden" name="year" value="${searchResult.getParamAble().getYear()}">
        <i class="dropdown icon"></i>
        <div class="default text color-black">${searchResult.getParamAble().getYearAsString()}</div>
        <div class="menu">
            <div class="item" data-name="year" data-value="0">Semua Tahun</div>
            #{list items:years, as:'year'}
                <div class="item" data-name="year" data-value="${year.toString()}">${year}</div>
            #{/list}
        </div>
    </div>
</div>
#{/set}
#{dashboard.search-bar result: searchResult, nonRecord: true /}
<div class="ui grid stackable">
    <div class="eight wide column">
    #{common.bar-chart chartable: umkmChart, id: "canvasUmkm", title: 'UMKM', scriptName: 'umkmScript', money: true,
            setHeight: '250', setMaxTicksLimit: '12', setType: 'logarithmic'/}
    </div>
    <div class="eight wide column">
    #{common.bar-chart chartable: pdnChart, id: "canvasPdn", title: 'PDN', scriptName: 'pdnScript', money: true,
            setHeight: '250', setMaxTicksLimit: '12', setType: 'logarithmic'/}
    </div>
</div>
<div class="alert alert-danger alert-modal hidden"></div>
<div class="ui divider hidden"></div>
<div class="ui grid stackable">
    <div class="sixteen wide column">
        <table class="ui striped celled structured table padded comp-table-th ">
            <thead>
            <tr>
                <th rowspan="2">${ !searchResult.getParamAble().isKldiExist() ? 'KLDI' : 'SATKER'}</th>
                <th colspan="2">UMKM</th>
                <th colspan="2">PDN</th>
            *{<th colspan="2">Total</th>}*
            </tr>
            <tr class="right aligned">
                <th>Pagu</th>
                <th>Paket</th>
                <th>Pagu</th>
                <th>Paket</th>
            </tr>
            </thead>
            <tbody class="left aligned">
            #{list items: searchResult?.getItems(), as: 'rekap'}
            <tr>
                <td class="font-bold">
                    #{if !searchResult.getParamAble().isKldiExist()}
                        <a href="#{url route.dashboard_umkmcontroller_rencanametode /}?kldi=${rekap.kode}">${rekap.nama}</a>
                    #{/if}
                    #{else}
                    ${rekap.nama}
                    #{/else}
                </td>
                <td class="right aligned">${rekap.pagu_umkm?.formatCurrenciesJuta()}</td>
                <td class="right aligned">${rekap.paket_umkm?.formatNumberIndonesia()}</td>
                <td class="right aligned">${rekap.pagu_pdn?.formatCurrenciesJuta()}</td>
                <td class="right aligned">${rekap.paket_pdn?.formatNumberIndonesia()}</td>
            </tr>
            #{/list}
            </tbody>
        </table>
    #{pagination searchResult /}
    </div>
</div>

#{set 'anotherScript'}
<script>
    $('.component-dropdown')
            .dropdown({
                action: 'hide',
                onChange: function (value, text, $selectedItem) {
                    $('.search-bar').submit()
                }
            });
</script>
    #{get 'umkmScript'/}
    #{get 'pdnScript'/}
#{/set}
